Bug 4605 - Updated FC6, Samba stopped allowing XP connections
Updated FC6, Samba stopped allowing XP connections
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: Upgrade
3.0.24
x86 Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 19:52 UTC by Bill Keeler
Modified: 2007-05-22 07:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Keeler 2007-05-09 19:52:40 UTC
I used the software updater to install all the patches it found (without even looking, like an idiot). There were over 50 of them, since it's been a few months since I updated anything. Anyway, right after that process completed, and I rebooted the machine- the two XP clients in my office would not connect to their mapped drives.

The Samba version is now 3.0.24-4.fc6. I regret that I don't know what it was before.

I looked at the logs, and here's an excerpt from the log for one of the machines that won't connect:

<<
[2007/05/08 23:11:25, 1] smbd/service.c:make_connection_snum(950)
abe (192.168.195.151) connect to service Books initially as user bill (uid=500, gid=500) (pid 4072)
[2007/05/08 23:11:33, 1] smbd/service.c:close_cnum(1150)
abe (192.168.195.151) closed connection to service Dev Tools
[2007/05/08 23:11:33, 1] smbd/service.c:close_cnum(1150)
abe (192.168.195.151) closed connection to service Books
[2007/05/08 23:28:45, 0] auth/auth_util.c:create_builtin_administrators(785)
create_builtin_administrators: Failed to create Administrators
[2007/05/08 23:28:45, 0] auth/auth_util.c:create_builtin_users(751)
create_builtin_users: Failed to create Users
[2007/05/08 23:28:45, 0] auth/auth_util.c:create_builtin_administrators(785)
create_builtin_administrators: Failed to create Administrators
[2007/05/08 23:28:45, 0] auth/auth_util.c:create_builtin_users(751)
create_builtin_users: Failed to create Users
[2007/05/08 23:28:45, 1] smbd/service.c:make_connection_snum(950)
abe (192.168.195.151) connect to service Books initially as user bill (uid=500, gid=500) (pid 4198)
[2007/05/08 23:28:57, 1] smbd/service.c:close_cnum(1150)
abe (192.168.195.151) closed connection to service Books
>>

I don't have any idea what causes "create_builtin_users: Failed to create Users", or "create_builtin_administrators: Failed to create Administrators" or what to do about it. I assume that this is related to my new problem. I have been using Samba on this machine without incident for over 6 months. I have been using Samba for about 7 or 8 years- but I'm stumped!

I need to fix this ASAP, as I have my work files on the server, and have mapped drives to the important directories.  I had to transfer a bunch of them by FTP, but now I have to worry about synchronizing them.

Thanks,

Bill
Comment 1 Gerald (Jerry) Carter 2007-05-22 07:24:09 UTC
This has got to be the "msdfs root" default value change.
Clients require a reboot to notice this.  Btw...this should 
have been filed with the Fedora folks and not us since it 
is basically a packaging change.